slepc-3.21.1 2024-04-26
Report Typos and Errors

# MFNSetOptionsPrefix

Sets the prefix used for searching for all MFN options in the database.

### Synopsis

    #include "slepcmfn.h"
    PetscErrorCode MFNSetOptionsPrefix(MFN mfn,const char *prefix)

Logically Collective

### Input Parameters

| mfn | - the matrix function context
| prefix | - the prefix string to prepend to all MFN option requests

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

For example, to distinguish between the runtime options for two different MFN contexts, one could call

          MFNSetOptionsPrefix(mfn1,"fun1_")
          MFNSetOptionsPrefix(mfn2,"fun2_")

### See Also

MFNAppendOptionsPrefix(), MFNGetOptionsPrefix()

### Level

advanced

### Location

src/mfn/interface/mfnopts.c
Index of all MFN routines
Table of Contents for all manual pages
Index of all manual pages